-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009 - 2019 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

load("/data/general/traps/store.lua")

newEntity{ base = "BASE_STORE", define_as = "HEAVY_ARMOR_STORE",
	name="Armoury",
	display='2', color=colors.UMBER,
	resolvers.store("HEAVY_ARMOR", "nalore", "store/shop_door.png", "store/shop_sign_armory.png"),
}

newEntity{ base = "BASE_STORE", define_as = "LIGHT_ARMOR_STORE",
	name="Tanner",
	display='2', color=colors.UMBER,
	resolvers.store("LIGHT_ARMOR", "nalore", "store/shop_door.png", "store/shop_sign_tanner.png"),
}

newEntity{ base = "BASE_STORE", define_as = "MAUL_WEAPON_STORE",
	name="Maces and mauls",
	display='3', color=colors.UMBER,
	resolvers.store("MAUL_WEAPON", "nalore", "store/shop_door.png", "store/shop_sign_rabers_blunt_paradise.png"),
}

newEntity{ base = "BASE_STORE", define_as = "KNIFE_WEAPON_STORE",
	name="Daggers",
	display='3', color=colors.UMBER,
	resolvers.store("KNIFE_WEAPON", "nalore", "store/shop_door.png", "store/shop_sign_yuleks_tools_of_night.png"),
}

newEntity{ base = "BASE_STORE", define_as = "EXOTIC_WEAPON_STORE",
	name="Whips and tridents",
	display='3', color=colors.UMBER,
	resolvers.store("EXOTIC_WEAPONS", "nalore", "store/shop_door.png", "store/shop_sign_whip.png"),
	--resolvers.chatfeature("nalore-exotic-store", "nalore"),
}

newEntity{ base = "BASE_STORE", define_as = "LIBRARY",
	name="Naloren Historian",
	display='5', color=colors.LIGHT_RED,
	resolvers.store("SCROLL", "nalore", "store/shop_door.png", "store/shop_sign_library.png"),
}
