-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009 - 2019 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

startx = 0
starty = 26
endx = 0
endy = 26

-- defineTile section
defineTile('<', "WATER_UP_WILDERNESS")
defineTile('>', "ABYSSAL_CAVES")
defineTile('_', "WATER_FLOOR")
defineTile('.', "WATER_FLOOR")
defineTile('+', "WATER_DOOR")
defineTile('#', "WATER_WALL")
defineTile('m', "UNDERSEA_CLIFFS")
defineTile('M', "HARDUNDERSEA_CLIFFS")
defineTile('p', "SAND")
defineTile('P', "NOTSAND")
defineTile('c', "CORAL1") 
defineTile('C', "CORAL2")
defineTile('G', "CORAL3")

defineTile("~", "WATER_DEEP_DEEP")
defineTile(":", "DEEP_WATER")

--stores are defined as traps
defineTile("1", "WATER_WALL", nil, nil, "HEAVY_ARMOR_STORE")
defineTile("2", "WATER_WALL", nil, nil, "LIGHT_ARMOR_STORE")
defineTile("3", "WATER_WALL", nil, nil, "KNIFE_WEAPON_STORE")
defineTile("4", "WATER_WALL", nil, nil, "MAUL_WEAPON_STORE")
defineTile("5", "WATER_WALL", nil, nil, "LIBRARY")
defineTile("6", "WATER_WALL", nil, nil, "EXOTIC_WEAPON_STORE")

-- addSpot section

-- addZone section

-- ASCII map section
return [[
MMMMMMMMMMMMMMMMM~~~~~~~~~~~~~~~~~~~~cGC
M###############MMMMMMMMMMMMMMM~~~~~~~cC
M#####________################m:~~~~~~~~
M###4#_________ppp___________#p::~~~~~~~
M##_pppppppppppp____#######___pp:>~~~~~~
M##____p__________________######:~~~~~~~
M###___p________###____________#m~~~~~~~
M#3#___p________#5#___________##m~~~~~~~
M#pppppp______pppp_____###____#mm~~~~~~c
M###___p______p________#6#____#m~~~~~~cC
M###___p______p___###___p_____#m~~~~~~GC
M#2#___p______p___#1#___p_____#m~~~~~~~G
M#ppppppppppppppppppppppp__####mm~~~~~~~
M#________________________##mmmmM~~~~~~~
M############_#############mmm~~~~~~~~~~
Mmmmmmmmm###___###mmmmmmmmMMMM~~~~~~~~~~
Mmmmmmmmm##___####mmmmmM~MMMM~~~~~GGc~~~
Mmmmmmm###___##mmmm~mMM~~~MMM~~~~~~CC~~~
Mmmmmm###___###mmmm~~mm~~~MMM~~~~~~~c~~~
Mmmmmm##___###mmmmm~~~~~~~~MMM~~~~~~~~~~
Mmmmm##___####mmm~~~~~~~~~~~~~~~~~~~~~~~
Mmppp##___##mmmmmmm~~~~~~~~~~~~~~~~~GGCc
pppp####_####pppmmmmmmm~~~~~~~G~~~~~~cCG
_______________pmmmmmmm:::~~~~CcG~~~~~cc
________________pmmmmmmmp:~~~~Gc~~~~~~~~
________________pmmmmmmmp:~~~~~GC~~~~~~~
<______________ppppmmmmmp:~~~~~~cC~~~~~~
______________ppppppppppp:~~~~~~~~~~~~~G
ppppppppppppppppppppppppp:~~~~~~~~~~~ccC
MMMMMMMMMMMMMMMMMMMMMMMMp:~~~~~~~~~~GGCG]]

